#2142 closed defect (fixed)

sb-set-builder fails on build

Reported by: Sree Harsha Konduri Owned by: Chris Johns
Priority: normal Milestone: 4.11
Component: tool/rsb Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The git hash i am running on is
commit f4e903532d18c1585fb05ee136905edfb608dc83
Author: Chris Johns <chrisj@…>
Date: Thu Aug 22 13:24:14 2013 +1000

config: Fix the use of the extra options.

The machine i am running is: Linux sree-nova 3.5.0-39-generic #60-Ubuntu SMP Tue Aug 13 18:35:04 UTC 2013 i686 i686 i686 GNU/Linux

This is the error
+ ../gcc-4.8.1/configure --prefix=/home/sree/development/rtems/4.11 --bindir=/home/sree/development/rtems/4.11/bin --exec_prefix=/home/sree/development/rtems/4.11 --includedir=/home/sree/development/rtems/4.11/include --libdir=/home/sree/development/rtems/4.11/lib --libexecdir=/home/sree/development/rtems/4.11/libexec --mandir=/home/sree/development/rtems/4.11/share/man --infodir=/home/sree/development/rtems/4.11/share/info --datadir=/home/sree/development/rtems/4.11/share --build=i686-linux-gnu --host=i686-linux-gnu --target=i386-rtems4.11 --disable-libstdcxx-pch --with-gnu-as --with-gnu-ld --verbose --with-newlib --with-system-zlib --disable-nls --without-included-gettext --disable-win32-registry --enable-version-specific-runtime-libs --disable-lto --enable-newlib-io-c99-formats --enable-newlib-iconv --enable-newlib-iconv-encodings=big5,cp775,cp850,cp852,cp855,cp866,euc_jp,euc_kr,euc_tw,iso_8859_1,iso_8859_10,iso_8859_11,iso_8859_13,iso_8859_14,iso_8859_15,iso_8859_2,iso_8859_3,iso_8859_4,iso_8859_5,iso_8859_6,iso_8859_7,iso_8859_8,iso_8859_9,iso_ir_111,koi8_r,koi8_ru,koi8_u,koi8_uni,ucs_2,ucs_2_internal,ucs_2be,ucs_2le,ucs_4,ucs_4_internal,ucs_4be,ucs_4le,us_ascii,utf_16,utf_16be,utf_16le,utf_8,win_1250,win_1251,win_1252,win_1253,win_1254,win_1255,win_1256,win_1257,win_1258 --enable-threads --disable-plugin --enable-languages=c,c++ if test %_host != %_build
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: invalid host type: %_host
configure: error: invalid variable name: `!'
Build Set: Time 0:04:02.600943
error: shell cmd failed: /bin/sh -ex /home/sree/development/rtems/src/rtems-source-builder/rtems/build/i386-rtems4.11-gcc-4.8.1-newlib-14-Jul-2013-1/doit

Attached is the log file,

Thanks,
Sree Harsha Konduri

Attachments (2)

0001-config-reorder-gcc-configure-options-to-avoid-blank-.patch (1.1 KB) - added by Gedare Bloom on Aug 26, 2013 at 2:54:58 PM.
work-around
0001-path-import-log-and-fix-warning.patch (1.1 KB) - added by Gedare Bloom on Aug 26, 2013 at 5:19:46 PM.
another

Download all attachments as: .zip

Change History (6)

Changed on Aug 26, 2013 at 5:19:46 PM by Gedare Bloom

another

comment:1 Changed on Dec 10, 2013 at 2:16:44 AM by Chris Johns

Resolution: fixed
Status: newclosed

comment:2 Changed on Dec 10, 2013 at 2:16:59 AM by Chris Johns

Closed.

comment:3 Changed on Nov 22, 2014 at 12:29:09 PM by Gedare Bloom

Component: CodeRSB
Milestone: 4.11

comment:4 Changed on Oct 10, 2017 at 6:04:12 AM by Sebastian Huber

Component: CodeRSB
Note: See TracTickets for help on using tickets.